@import 'variable';

@mixin font($fontFamily, $fileName, $fontStyle, $fontWeight) {
  @font-face {
    font-family: $fontFamily;
    src:
            url($pathToFontFromSCSS + $fileName + '.woff2') format('woff2'),
            url($pathToFontFromSCSS + $fileName + '.woff') format('woff'),
            url($pathToFontFromSCSS + $fileName + '.ttf') format('truetype');
    font-style: $fontStyle;
    font-weight: $fontWeight;
    font-display: swap;
  }
}

@include font('Roboto', 'Roboto-Regular', normal, 400);
@include font('Roboto', 'Roboto-Bold', normal, 700);
@include font('Roboto', 'Roboto-Black', normal, 900);
